@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Work+Sans:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Exo+2:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&display=swap');

/* 
 * Nunito Sans - common text 
 * Exo 2 - captions
 * Work Sans - lists
 * JetBrains Mono - codebox
 */
.text {
    font-family: "Nunito Sans", sans-serif;
    font-weight: 600;
    font-style: normal; 
    font-size: 130%;
    color: white;
}

.underText {
    font-weight: 400;
    font-size: 90%;
    color:rgb(96, 96, 96);
}

body {
    background: #02002E;
    background: radial-gradient(circle,rgba(2, 0, 46, 1) 41%, rgba(43, 10, 74, 1) 98%);
    height: 100%;
    margin: 0;
    padding: 0;
}

#mainContent {
    display: flex;
    flex-direction: column;
    justify-content: top;
    min-height: 100vh;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0;
    padding-top: 0;
    position: relative;
}

#mainNavigation {
    display: block;
    margin-left: auto;
    margin-right: auto;
    justify-content: center;
    text-align: center;
}
#navigationLogo {
    width:150px;
    user-select: none;
}

.navigationIntroductionMain {
    color: white;
    font-size: 180%;
    margin:0;
    padding: 0;
    text-align: center;
}
.navigationIntroductionText {
    color: white;
    font-size: 90%;
    margin:0;
    margin-top: 8px;
    padding: 0;
    text-align: center;
}

#mainBlock {
    display: flex;
    flex-direction: column;
    margin-top: 10px;
    margin-left: auto;
    margin-right: auto;
    gap:5px;
}
a {
  text-decoration: none;
  color: inherit;
}
#mainVPN {
    margin-top: 1%;
}

.vpnSVG {
    padding-top:5px;
}

.button {
    border-color: rgba(161, 85, 130, 0.62);
    color: white;
    transition: 0.2s linear;
    background: rgba(161, 85, 130, 0.62);
    border-radius: 8px;
    width: 290px;
    height: 50px;
    display: flex;
    flex-direction: row;
    text-align: center;
    justify-self: center;
    padding: 6px;
    margin-left: 10px;
    margin-right: 10px;
}
.button:hover {
    transform: translateY(-2px);
    background-color: rgba(98, 31, 117, 0.69);
    box-shadow: 3px 3px 2px 1px rgba(98, 31, 117, 0.1)
}

.button span {
    text-align: center;
    justify-self: center;
    margin-top: auto;
    margin-bottom: auto;
    margin-left: auto;
    margin-right: auto;
}

#mainGuide {
    display: grid;
    row-gap: 10px;
    grid-template-columns: repeat(2, 45%);
    flex-direction: row;
    justify-content: center;
    margin-top: 1%;;
}

#mainLinks {
    display: grid;
    row-gap: 15px;
    grid-template-columns: repeat(2, 22vh);
    flex-direction: row;
    justify-content: center;
    margin-top: 1%;
}


.guideButton {
    width:18vh;
    font-size: 90%;
}

.guideText {
    justify-content: center;
    text-align: center;
    display: flex;
    flex-direction: column;
    margin-top: 6%
}
.faqButton {
    width: 10vh;
    height: 4vh;
    margin-left: auto;
    margin-right: auto;
}

.vpnButton {
    margin-left: auto;
    margin-right: auto;
}

.linksButton {
  height: 70px;
  justify-content: center;
  text-allign: center;
  width: 20vh;
}

#mainFAQ {
  margin-bottom:20px;
}

@media (max-width: 600px) {
    .guideButton {
        width: 20vh;
    }
    .linksButton {
        width: 19vh;
    }
    #mainGuide {
        grid-template-columns: repeat(2, 47%);
    }

}

